#
# spec file for package gap-float
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gap-float
Version:        0.7.6
Release:        lp152.3.6
Summary:        GAP: Integration of mpfr, mpfi, mpc, fplll and cxsc in GAP
License:        GPL-3.0+
Group:          Productivity/Scientific/Math
Url:            http://laurentbartholdi.github.com/float/

#Git-Clone:	git://github.com/laurentbartholdi/float/
Source:         https://www.gap-system.org/pub/gap/gap4/tar.bz2/packages/float-%version.tar.bz2
Patch1:         fplll.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  cxsc-devel
BuildRequires:  gap-devel >= 4.7
BuildRequires:  gap-rpm-devel
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  mpc-devel
BuildRequires:  mpfi-devel
BuildRequires:  mpfr-devel
BuildRequires:  pkgconfig(fplll)
Requires:       gap-core >= 4.7
Requires:       gap-gapdoc >= 1.0

%description
The Float package allows GAP to manipulate floating-point numbers
with arbitrary precision. It is based on MPFR, MPFI, MPC, CXSC,
FPLLL.

%prep
%setup -qn float-%version
%patch -P 1 -p1

%build
autoreconf -fi
%configure --with-gaproot="%gapdir" --with-cxsc-include="%_includedir/cxsc" \
	--with-fplll="%_prefix"
make %{?_smp_mflags}

%install
rm -Rf bin/*/.libs
find bin -type f ! -name float.so -delete
rm -Rf {aclocal.m4,autom4*,build-aux,config.*,configu*,libtool*,m4,src}
find . -type f -name "Makefile*" -delete
%gappkg_simple_install

%files -f %name.files
%defattr(-,root,root)

%changelog
* Mon Dec 25 2017 jengelh@inai.de
- Add fplll.diff.
* Fri Sep  8 2017 jengelh@inai.de
- Update to new upstream release 0.7.6
  * No changelog was provided
- Remove build-fixes.diff
* Sat Apr 29 2017 jengelh@inai.de
- Update to new upstream release 0.7.5
  * libfplll 5.x support
- Add build-fixes.diff
* Sun Oct 16 2016 jengelh@inai.de
- Update to new upstream release 0.7.4
  * No changelog was provided again
- Drop incl.diff
* Sun Jun 19 2016 jengelh@inai.de
- Update to new upstream release 0.7.3
  * No changelog was provided
* Fri Dec 12 2014 jengelh@inai.de
- Update to new upstream release 0.6.2
  * Source cleanups
* Wed Jun 18 2014 jengelh@inai.de
- Update to new upstream release 0.5.18
  * No changelog was provided
- Added incl.diff to resolve build failure
* Fri Apr 18 2014 jengelh@inai.de
- Update to new upstream release 0.5.17
  * No changelog was provided
* Wed Feb  5 2014 jengelh@inai.de
- Update to new upstream release 0.5.12
  * No changelog was provided
- Remove float-flags-order.diff, float-noversion.diff
  (merged upstream)
* Fri May 10 2013 jengelh@inai.de
- Initial package (version 0.5.9) for build.opensuse.org
